# synfig::Main Class Reference

`#include <main.h>`

List of all members.

## Public Member Functions

| Main (const synfig::String &basepath, ProgressCallback *cb=0)
| ~Main ()
const etl::reference_counter & | ref_count () const

## Detailed Description

Todo:
  This needs to be documented further.

Todo:
  This needs to be documented further.

## Constructor & Destructor Documentation

synfig::Main::Main | ( | const synfig::String & | basepath,
|  | ProgressCallback * | cb = `0` |
| ) |  |  |

References _, synfig::ProgressCallback::amount_complete(), synfig::Importer::book(), broken_pipe_signal(), synfig::ListImporter::create(), synfig::info(), MODULE_LIST_FILENAME, synfig::Module::Register(), synfig::Module::register_default_modules(), retrieve_modules_to_load(), synfig::ValueNode::subsys_init(), synfig::Importer::subsys_init(), synfig::Target::subsys_init(), synfig::Layer::subsys_init(), synfig::Module::subsys_init(), synfig::Importer::subsys_stop(), synfig::Target::subsys_stop(), synfig::Layer::subsys_stop(), synfig::Module::subsys_stop(), synfig_ref_count_(), and synfig::ProgressCallback::task().

synfig::Main::~Main | ( |  | ) |

Todo:
  For some reason, uncommenting the next line will cause things to crash. This needs to be looked into at some point.

References synfig::get_open_canvas_map(), synfig::Layer::subsys_stop(), synfig::Target::subsys_stop(), synfig::Importer::subsys_stop(), synfig::ValueNode::subsys_stop(), synfig_ref_count_(), and synfig::warning().

## Member Function Documentation

const etl::reference_counter& synfig::Main::ref_count | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following files:

- main.h
- synfig/main.cpp